%define module_name marc-moose
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent/Processor.pm) perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(File/Slurp.pm) perl(Getopt/Long.pm) perl(JSON.pm) perl(List/Util.pm) perl(MARC/File/XML.pm) perl(MARC/Record.pm) perl(Modern/Perl.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/RW/Reader.pm) perl(MooseX/RW/Reader/File.pm) perl(MooseX/RW/Writer.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Text/Iconv.pm) perl(Time/HiRes.pm) perl(XML/SAX.pm) perl(XML/SAX/Base.pm) perl(XML/Simple.pm) perl(XML/Writer.pm) perl(YAML.pm) perl(YAML/Syck.pm) perl(base.pm) perl(bytes.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.39
Release: alt1
Summary: Moose based MARC records set of tools
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FR/FREDERICD/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/M*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.39-alt1
- updated by package builder

* Tue Feb 26 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.38-alt1
- updated by package builder

* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.6-alt1
- initial import by package builder

